<s:div xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
       xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
       xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
       xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
       xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable id="messagesTable" rendered="#{messageManagerBean.availableMessagesList != null}" rows="20"
                    value="#{messageManagerBean.availableMessagesList}" var="currentMessage" render="ds">
        <g:column name="idColumn" sortBy="#{'id'}" sortOrder="descending">
            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
            <a href="#{applicationConfiguration.getValueOfVariable('application_url')}/messages/message.seam?id=#{currentMessage.id}"
               target="_blank">#{currentMessage.id}</a>
        </g:column>
        <ui:include src="/messages/messageTableColumns.xhtml">
            <ui:param name="messageManagerBean" value="#{messageManagerBean}"/>
            <ui:param name="tableId" value="#{messages['net.ihe.gazelle.xdstar.MessagesTable']}"/>
        </ui:include>
    </rich:dataTable>
    <ui:include src="/messages/messageModalPanel.xhtml">
        <ui:param name="messageManagerBean" value="#{messageManagerBean}"/>
    </ui:include>
</s:div>
